Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.sg
Interface MembershipContentRule

All Superinterfaces:
  XmlSerializable

All Known Implementing Classes:
  SimpleMembershipContentRule

public interface MembershipContentRule
extends XmlSerializable

MembershipContentRule represents the wsrf-sg:MembershipContentRule resource property defined by the WS-RF ServiceGroup resource type. Aside from the fields that are included in the content rule definition, the interface also contains a method for evaluating the rules against a WS-resource.

Author:
  Dan Jemiolo (danj)

Method Summary
`QName[]` | `getContentElements()`
`QName` | `getMemberInterface()`
`EndpointReference` | `getServiceGroupEPR()`
`boolean` | `isMatch(EndpointReference epr)`
`void` | `setContentElements(QName[] content)`
`void` | `setMemberInterface(QName portType)`
`void` | `setServiceGroupEPR(EndpointReference serviceGroupEPR)`

Methods inherited from interface org.apache.muse.util.xml.XmlSerializable
`toXML, toXML`

Method Detail

### getContentElements

    public QName[] getContentElements()

### getMemberInterface

    public QName getMemberInterface()

### getServiceGroupEPR

    public EndpointReference getServiceGroupEPR()

### isMatch

    public boolean isMatch(EndpointReference epr)

  Parameters:
    `epr` - The EPR for the resource against which this membership content rule will be evaluated.
  Returns:
    True if the given resource's WS-RP document matches the rules in the MCR.

### setContentElements

    public void setContentElements(QName[] content)

### setMemberInterface

    public void setMemberInterface(QName portType)

### setServiceGroupEPR

    public void setServiceGroupEPR(EndpointReference serviceGroupEPR)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD